uuid: af772fe4-30b8-4601-b594-613595520b01
langcode: en
status: true
dependencies:
  module:
    - node
    - user
    - search_api
    - guts_search
  config:
    - search_api.server.database_server
    - core.entity_view_mode.node.search_index
id: faqs_content_index
name: 'FAQs content index'
description: ''
read_only: false
field_settings:
  changed:
    label: Changed
    datasource_id: 'entity:node'
    property_path: changed
    type: date
    dependencies:
      module:
        - node
  created:
    label: 'Authored on'
    datasource_id: 'entity:node'
    property_path: created
    type: date
    dependencies:
      module:
        - node
  name:
    label: 'Authored by » User » Name'
    datasource_id: 'entity:node'
    property_path: 'uid:entity:name'
    type: string
    dependencies:
      module:
        - node
        - user
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  rendered_item:
    label: 'Rendered HTML output'
    property_path: rendered_item
    type: text
    configuration:
      roles:
        anonymous: anonymous
      view_mode:
        'entity:node':
          faq: search_index
  status:
    label: 'Publishing status'
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  sticky:
    label: 'Sticky at top of lists'
    datasource_id: 'entity:node'
    property_path: sticky
    type: boolean
    dependencies:
      module:
        - node
  title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: text
    boost: !!float 8
    dependencies:
      module:
        - node
  type:
    label: 'Content type'
    datasource_id: 'entity:node'
    property_path: type
    type: string
    dependencies:
      module:
        - node
  uid:
    label: 'Authored by » User » User ID'
    datasource_id: 'entity:node'
    property_path: 'uid:entity:uid'
    type: integer
    dependencies:
      module:
        - node
        - user
  uid_1:
    label: uid_1
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - faq
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url: {  }
  aggregated_field: {  }
  content_access:
    weights:
      preprocess_query: -4
  entity_status: {  }
  guts_search_date_field_boost:
    weights:
      postprocess_query: 0
  highlight:
    highlight: always
    highlight_partial: false
    excerpt: true
    excerpt_length: 256
    exclude_fields: {  }
    prefix: '<strong>'
    suffix: '</strong>'
    weights:
      postprocess_query: 0
  html_filter:
    all_fields: false
    fields:
      - rendered_item
    title: true
    alt: true
    tags:
      b: 2
      h1: 5
      h2: 3
      h3: 2
      strong: 2
    weights:
      preprocess_index: -7
      preprocess_query: -7
  ignorecase:
    all_fields: false
    fields:
      - rendered_item
      - title
    weights:
      preprocess_index: -9
      preprocess_query: -9
  language_with_fallback: {  }
  rendered_item: {  }
  stopwords:
    all_fields: false
    fields:
      - rendered_item
      - title
    stopwords:
      - a
      - an
      - and
      - are
      - as
      - at
      - be
      - but
      - by
      - for
      - if
      - in
      - into
      - is
      - it
      - 'no'
      - not
      - of
      - 'on'
      - or
      - s
      - such
      - t
      - that
      - the
      - their
      - then
      - there
      - these
      - they
      - this
      - to
      - was
      - will
      - with
    weights:
      preprocess_index: -10
      preprocess_query: -10
  tokenizer:
    all_fields: false
    fields:
      - rendered_item
      - title
    spaces: ''
    overlap_cjk: 1
    minimum_word_size: '3'
    weights:
      preprocess_index: -5
      preprocess_query: -5
  transliteration:
    all_fields: false
    fields:
      - rendered_item
      - title
    weights:
      preprocess_index: -8
      preprocess_query: -8
tracker_settings:
  default:
    indexing_order: fifo
options:
  index_directly: true
  cron_limit: 50
  track_changes_in_references: true
server: database_server
